package com.zswl.cloud.springBatch.client.model.dfy;

import cn.hutool.core.date.DateUtil;
import lombok.Data;

import java.util.Date;

@Data
public class DfyRequestBase {

    private String apiKey;
    private String sign;
    private final String timestamp;

    private DfyBaseData data;

    public DfyRequestBase(DfyBaseData data) {

        this.timestamp = DateUtil.format(new Date(), "yyyy-MM-dd HH:mm:ss");
        this.data = data;

    }

}
