package com.zswl.cloud.springBatch.client.model.dfy.Hotel.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubmitOrderResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        @ApiModelProperty(value = "笛风系统管理员账号")
        private String acctId;

        @ApiModelProperty(value = "订单ID")
        private int orderId;

        @ApiModelProperty(value = "支付方式", allowableValues = "1, 3")
        private int payType;

        @ApiModelProperty(value = "付款金额（单位元，不支持小数）")
        private String pay;

        @ApiModelProperty(value = "平台标识", allowableValues = "10001, 20000, 30001, 30002, 30003")
        private String platform;

    }


}
