package com.zswl.cloud.springBatch.client.model.dfy.Ticket.request;

import com.zswl.cloud.springBatch.client.model.dfy.DfyBaseData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SubmitOrderRequest extends DfyBaseData {

        // 笛风系统管理员账号
        private String acctId;

        // 订单ID
        private Integer orderId;

        // 支付方式.1:途牛钱包代扣 3.企业支付宝代扣
        private int payType;

        // 付款金额（单位元，不支持小数）
        private BigDecimal pay;

        // 平台标识（10001:PC,20000:m站，30001:app安卓，30002:appIOS，30003:appWindows）（默认是pc）
        private String platform;
}
