package com.zswl.cloud.springBatch.client.model.dfy.Ticket.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class VerifyOrderResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        // 是否支持核销信息查询。false表示不支持核销信息查询；true支持核销信息查询
        private Boolean supportVerify;

        // 核销信息。有4种格式，解析第1种格式可以获取核销数量。
        // 1.“总数量2次，已使用2次”
        // 2.“未找到订单记录！”
        // 3.“未查询到核销信息”
        // 4.“发生异常：XXX”
        private String verifyMsg;

        // 总数量。如果查询不到核销信息，值为-1。
        private Integer totalCount;

        // 核销数量。如果查询不到核销信息，值为-1。
        private Integer usedCount;

    }

}
