package com.zswl.cloud.springBatch.client.model.dfy.pub.request;

import com.zswl.cloud.springBatch.client.model.dfy.DfyBaseData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class QueryRequest extends DfyBaseData {

        // 笛风账号
        private String acctId;

        // 账号类型：1途牛钱包， 3：企业支付宝
        private Integer accType;

        // 账单类型：2代扣
        private Integer billType;

        // 状态：1：处理完成，-1：处理失败，3处理中
        private Integer status;

        // 查询起始时间，格式：yyyy-MM-dd HH:mm:ss
        private String beginTime;

        // 查询结束时间，格式：yyyy-MM-dd HH:mm:ss
        private String endTime;

        // 分页查询起始条目，从0开始
        private Integer start;

        // 分页查询一页显示条目，最大100
        private Integer limit;
}
