package com.zswl.cloud.springBatch.client.model.qiuxiang;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderDelitResponse {
    private String orderId;
    private int orderStatus;
    private String uid;
    private String phone;
    private String adcode;
    private String originName;
    private double originLongitude;
    private double originLatitude;
    private String originLocation;
    private String destinationName;
    private double destinationLongitude;
    private double destinationLatitude;
    private String destinationLocation;
    private int distance;
    private double totalPrice;
    private double payPrice;
    private String startTime;
    private String endTime;
    private String cancelTime;
    private String cancelReason;
    private String createTime;
    private List<PriceItem> priceItems;
    private String driverId;
    private String driverName;
    private String driverPhone;
    private String driverAvatar;
    private String driverStatus;
    private String driverReceivedTime;
    private String driverArrivedTime;
    private String driverStartTime;
    private String driverEndTime;
    private String driverCancelTime;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class PriceItem {
        private String title;
        private double value;
    }
}
