package com.zswl.cloud.springBatch.client.model.request;


import com.xiaoju.open.oil.interfaces.domain.AllowanceInfo;
import com.xiaoju.open.oil.interfaces.domain.CalBatchPriceItemInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class QueryCalPricesModel {


    @ApiModelProperty(value = "加油站id", required = true)
    private String storeId;

    @ApiModelProperty(value = "加油信息", required = true)
    private List<CalBatchPriceItemInfo> itemList;

    @ApiModelProperty(value = "优惠营销信息")
    private List<AllowanceInfo> allowanceinfo;


}
