package com.zswl.cloud.springBatch.client.model.ypp.kfc.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class CityListResponse {
    /**
     * code
     */
    private Long code;

    private List<TicketCity> data;
    /**
     * message
     */
    private String message;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class TicketCity {
        /**
         * 城市ID
         */
        private String cityId;
        /**
         * 首字母
         */
        private String letter;
        /**
         * 名称
         */
        private String name;
        /**
         * 拼音
         */
        private String pinYin;
        /**
         * 省份id
         */
        private String provinceId;
    }
}
