package com.zswl.cloud.springBatch.client.model.ypp.kfc.response;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * TicketOrderChannelCreateDto，渠道下单
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class CreateOrdereResponse {
    private Long code;
    private KfcOrderResult data;
    private String message;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public class KfcOrderResult {
        /**
         * 配送费
         */
        private Double deliveryPrice;
        /**
         * 订单号
         */
        private String orderCustomId;
        /**
         * 订单id
         */
        private String orderId;
        /**
         * 支付总价
         */
        private Double payAmount;
        private String payUrl;
    }
}