package com.zswl.cloud.springBtach.server.boot;

import com.github.microservice.app.annotation.EnableApplicationClient;
import com.github.microservice.core.boot.ApplicationBootSuper;
import org.springframework.batch.core.configuration.annotation.EnableBatchProcessing;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;


/**
 * @author Wy
 */
@EnableScheduling
@SpringBootApplication
@EnableApplicationClient
@EnableBatchProcessing
@ComponentScan({"com.zswl.cloud.springBtach.server.core"})
public class SpringBatchApplication extends ApplicationBootSuper {

    public static void main(String[] args) {
        SpringApplication.run(SpringBatchApplication.class, args);
    }
}
