package com.zswl.cloud.springBtach.server.core.api.ypp.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SyncOrderRequest {

    private int type;

    private OrderState data;


    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class OrderState {

        private String state;
        private String para;
        private String id;
        private String movieName;
        private String movieStartTime;
        private String movieEndTime;
        private String cinemaName;
        private String totalPrice;
        private String totalCommission;
        private String refundAmount;
        private String ticketCode;
        private String ticketCodeText;
        private String totalOriginPrice;
        private String createTime;
        private String updateTime;
    }

}
