package com.zswl.cloud.springBtach.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import com.xiaoju.open.oil.interfaces.domain.AllowanceInfo;
import com.xiaoju.open.oil.interfaces.response.QueryNewOrderResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;


@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class XiaoJuOrder extends SuperEntity {


    // 支付参数
    private String outUserId;
    private String mobile;
    private String vagueMobile;
    private String outOrderId;
    private Float lat;
    private Float lon;
    private String storeId;
    private long itemId;
    private String gunNo;
    private Integer originalAmount;
    private Integer paymentAmount;
    private Integer serviceFee;
    private Integer litre;
    private Integer vipPrice;
    private Integer storePrice;
    private Integer openChannel = 1;
    private String openExtra;
    private String outNewUserFlag;
    private List<AllowanceInfo> promotionInfo;

    // 响应结果
    private String xjOrderId;
    private String tradeId;


    // 支付回调
    private String orderId;
    private String storeName;
    private String cityName;
    private String itemName;
    private String quantity;
    private String totalMoney;
    private String realMoney;
    private String orderStatus;
    private String payTime;
    private String refundTime;

}
