package com.zswl.cloud.springBatch.client.model.dfy.Hotel.request;

import com.zswl.cloud.springBatch.client.model.dfy.DfyBaseData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class RatePlanInfoRequest extends DfyBaseData {

    // 酒店ID
    private Long hotelId;

    // 入店时间
    private String checkIn;

    // 离店时间
    private String checkOut;

    // 房间数，默认是1
    private Integer roomNum;

    // 成人数，默认是1；注意，每间房至少一个成人
    private Integer manNum;

    // 儿童数，默认是0
    private Integer childNum;

    // 儿童年龄，与儿童数匹配
    private List<Integer> childAges;

    // 排除禁止OTA裸售的数据，默认false
    private Boolean excludeOta;
}
