package com.zswl.cloud.springBatch.client.model.dfy.Hotel.request;

import com.zswl.cloud.springBatch.client.model.dfy.DfyBaseData;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class RatePlanRequest extends DfyBaseData {

    private String roomId; // 价格计划id
    private Long hotelId; // 酒店ID
    private String checkin; // 入店时间
    private Integer roomNum; // 预订房间数，默认是1
    private Integer manNum; // 成人数，不填时默认是1
    private Integer childNum; // 儿童数，不填时默认是0
    private List<Integer> childAges; // 儿童年龄，与儿童数匹配
    private String checkout; // 离店时间
}
