package com.zswl.cloud.springBatch.client.model.dfy.Hotel.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class AddOrderResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        private Boolean success; // 是否下单成功
        private Integer orderId; // 订单Id
        private Integer isNewFlag; // 笛风订单号是否新生成，1：是，0：否
        private String errorCode; // 错误码
        private String msg; // 错误信息

    }


}
