package com.zswl.cloud.springBatch.client.model.dfy.Hotel.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class CancelOrderResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        @ApiModelProperty(value = "执行成功标识")
        private Boolean success;

        @ApiModelProperty(value = "错误描述")
        private String msg;

        @ApiModelProperty(value = "错误码")
        private Integer errorCode;

        @ApiModelProperty(value = "数据")
        private Object data;
    }


}
