package com.zswl.cloud.springBatch.client.model.dfy.Ticket.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class OrderStatusResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        // 订单状态:
        //
        //待确认：订单正在校验/占位；
        //待付款：订单在此状态下，同时满足“支付开关canPay=1.可支付”，则可以调用出票代扣接口进行付款；
        //
        //出票中（已确认）：付款后出票中到此状态；
        //已完成：表示出票成功；
        //已取消：订单取消成功，或者退票成功，到此状态；
        private String orderStatus;


    }

}
