package com.zswl.cloud.springBatch.client.model.dfy.Ticket.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class PrivilegeTicketListResponse extends DfyResponseBase {

    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        // 特权门票总数
        private Integer totalCount;

        private List<Rows> rows;


    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Rows {

        // 门票产品ID
        private int productId;

        // 产品名称
        private String productName;

        // 景点ID
        private String scenicId;

        // 景点名称
        private String scenicName;

        // 单位元,景点价，非下单价格
        private String webPrice;

        // 单位元,销售价，当价格为0时，需要单独查询门票详情，其中有价格日历内容，获取正确的价格，在下单时也是要使用详情中的价格。非下单价格
        private String salePrice;


    }
}
