package com.zswl.cloud.springBatch.client.model.dfy.Ticket.response;

import com.zswl.cloud.springBatch.client.model.dfy.DfyResponseBase;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ScenicListResponse extends DfyResponseBase {


    private Datas data;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Datas {

        private Integer totalCount;
        private List<rows> rows;

    }


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class rows {

        private String scenicId;
        private String scenicName;
        private String newPicUrl;
        private String address;
        private String bizTime;
        private String glocation;
        private String blocation;
        private List<Ticket> ticketList;
        private List<Ticket> disTickets;


    }

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    public class Ticket {

        private String productId;
        private String productName;
        private String webPrice;
        private String salePrice;


    }
}
