package com.zswl.cloud.springBatch.client.model.request;


import com.xiaoju.open.oil.interfaces.domain.AllowanceInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class QueryCalPriceModel {


    @ApiModelProperty(value = "加油站id", required = true)
    private String storeId;

    @ApiModelProperty(value = "加油金额 单位分", required = true)
    private Integer amount;

    @ApiModelProperty(value = "油品名称", required = true)
    private String itemName;

    @ApiModelProperty(value = "优惠营销信息")
    private List<AllowanceInfo> allowanceinfo;
}
