package com.zswl.cloud.springBatch.client.model.request;

import com.xiaoju.open.oil.interfaces.domain.ItemPriceInfoForCallback;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.geo.Distance;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class XiaoJuStoreModel {

    private String storeId;
    private String storeName;
    private String address;
    private Float lat;
    private Float lon;
    private String cityName;
    private String provinceName;
    private String brandName;
    private String tel;
    private String openTimeHourStart;
    private String openTimeHourEnd;
    private String logo;
    private List<String> picList;
    private List<ItemPriceInfoForCallback> itemInfoList;
    private Integer status;
    private Integer invoiceManner;
    private List<String> marketTags;
    private double[] location;
    private String brandId;
    private Distance distance;
}
