// ApifoxModel.java

package com.zswl.cloud.springBatch.client.model.ypp.kfc.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * TicketOrderSimpleDtoRequestResult
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderFileResponse {
    /**
     * code
     */
    private Long code;

    private List<FileStoreDto> data;
    /**
     * message
     */
    private String message;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public class FileStoreDto {
        /**
         * 文件描述
         */
        private String fileDescription;
        /**
         * 文件扩展名
         */
        private String fileExtension;
        /**
         * 文件Hash
         */
        private String fileHash;
        /**
         * 文件类型
         */
        private String fileMIME;
        /**
         * 文件名称
         */
        private String fileName;
        /**
         * 文件操作
         */
        private Long fileOperation;
        /**
         * 文件路径
         */
        private String filePath;
        private String id;
        /**
         * 多图片索引
         */
        private Long index;
        /**
         * 最后操作时间
         */
        private String lastOperatedTime;
        private String orderId;
    }

}
