package com.zswl.cloud.springBatch.client.model.ypp.kfc.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ShopResponse {
    private Long code;
    private Datum data;
    /**
     * message
     */
    private String message;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class Datum {
        /**
         * 地址
         */
        private String address;
        /**
         * 城市代码
         */
        private String cityCode;
        /**
         * 城市id
         */
        private Long cityId;
        /**
         * 城市名称
         */
        private String cityName;
        /**
         * 关门时间
         */
        private String closeTime;
        private String createTime;
        /**
         * 距离
         */
        private Double distance;
        private Boolean enable;
        private String id;
        /**
         * 纬度
         */
        private Double lat;
        /**
         * 经度
         */
        private Double lon;
        /**
         * 开始营业时间
         */
        private String openTime;
        /**
         * 店铺代码
         */
        private String shopCode;
        /**
         * 店铺名称
         */
        private String shopName;
    }
}
