package com.zswl.cloud.springBatch.client.model.ypp.movie.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * MovieOrderQuery
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderListRequest {
    /**
     * appid
     */
    private String appId;
    /**
     * appid
     */
    private List<String> appIds;
    /**
     * 影院
     */
    private String cinemaName;
    /**
     * 城市
     */
    private String cityName;
    /**
     * 截至时间
     */
    private String endTime;
    /**
     * 渠道订单id
     */
    private String entOrderId;
    private Boolean exportExcel;
    /**
     * 电影名称
     */
    private String movieName;
    /**
     * 订单号
     */
    private String orderCustomId;
    private Long orderState;
    private Long pageIndex;
    private Long pageSize;
    /**
     * 查询类型：1 创建时间，2 支付时间,(需要同时传时间段)
     */
    private Long queryType;
    /**
     * 起始时间
     */
    private String startTime;


}