// ApifoxModel.java

package com.zswl.cloud.springBatch.client.model.ypp.movie.response;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.OffsetDateTime;

/**
 * TicketOrderSimpleDtoRequestResult
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class OrderDetailResponse {
    /**
     * code
     */
    private Long code;
    private TicketOrderSimpleDto data;
    /**
     * message
     */
    private String message;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public class TicketOrderSimpleDto {
        /**
         * 是否可支付
         */
        private Boolean canPay;
        /**
         * 影院名称
         */
        private String cinemaName;
        /**
         * 城市名称
         */
        private String cityName;
        /**
         * 创建时间
         */
        private OffsetDateTime createTime;
        /**
         * 自定义参数
         */
        private String entPara;
        /**
         * 自定义订单号
         */
        private String id;
        /**
         * 电影名称
         */
        private String movieName;
        private Long orderState;
        /**
         * 用户总票价
         */
        private BigDecimal totalUserPrice;

    }
}
