package com.zswl.cloud.springBtach.server.core.config;

import com.github.microservice.core.mvc.MVCConfiguration;
import com.github.microservice.core.mvc.MVCResponseConfiguration;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

/**
 * @author wy
 */
@Configuration
@Import({MVCConfiguration.class, MVCResponseConfiguration.class})
public class MVCConfig {


    @Autowired
    MVCResponseConfiguration mvcResponseConfiguration;

    @Bean
    public void index(){
        mvcResponseConfiguration.getIgnoreTransformUrls().add("sync");

    }
}
