package com.zswl.cloud.springBtach.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class ApiLog extends SuperEntity {
    /**
     * 请求id
     */
    private String requestId;

    /**
     * 接口
     */
    private String service;

    /**
     * 入参
     */
    private Object request;

    /**
     * 返参
     */
    private Object response;

    /**
     * 业务系统
     */
    private String system;



}
