package com.zswl.cloud.springBtach.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Data
@Builder
@Document
@AllArgsConstructor
@NoArgsConstructor
public class XiaoJuActivity extends SuperEntity {

    private String name;

    @Indexed(unique = true)
    private String activityId;

    private List<String> planningId;

    private String description;
}
